UDISKIE(1)

NAME
udiskie - automounter for removable media for Python

DESCRIPTION
udiskie: a user-level daemon for auto-mounting.

  Usage:

    udiskie [options] udiskie (--help | --version)

  General options:

-c FILE, --config=FILE
    Set config file

-C, --no-config
    Don't use config file

-v, --verbose
    Increase verbosity (DEBUG)

-q, --quiet
    Decrease verbosity

-0, --udisks-auto
    Auto discover UDisks version

-1, --use-udisks1
    Use UDisks1 as backend

-2, --use-udisks2
    Use UDisks2 as backend

-h, --help
    Show this help

-V, --version
    Show version information

  Daemon options:

-a, --automount
    Automount new devices

-A, --no-automount
    Disable automounting

-n, --notify
    Show popup notifications

-N, --no-notify
    Disable notifications

-t, --tray
    Show tray icon

-s, --smart-tray
    Auto hide tray icon

-T, --no-tray
    Disable tray icon

--password-cache MINUTES
    Set password cache timeout

--no-password-cache
    Disable password cache

-p COMMAND, --password-prompt COMMAND
    Command for password retrieval

-P, --no-password-prompt
    Disable unlocking

  Deprecated options:

-f PROGRAM, --file-manager PROGRAM
    Set program for browsing

-F, --no-file-manager
    Disable browsing

Note, that the options in the individual groups are mutually exclusive.

The config file can be a JSON or preferrably a YAML file. For an example, see the MAN page (or doc/udiskie.8.txt in the repository).